<?php
    abstract class InputType
    {
        const Option = 1;
        const Radio = 2;
        const Checkbox = 3;
    }

    class Question
    {
        public $text;
        public $answers;
        public $type;

        function __construct(string $text, int $type, string ...$answers)
        {
            $this->text = $text;
            $this->type = $type;
            $this->answers = $answers;
        }
    }

    $questions = [
        new Question("Co lubisz najbardziej", InputType::Option, "Jabłko", "Banan", "Pomarańcza"), 
        new Question("Gdzie jest rzut karny?", InputType::Radio, "w piłce nożnej", "w siatkówce", "w koszykówce"), 
        new Question("Gatunki filmów", InputType::Checkbox, "Horror", "Thriller", "Romantyczny"),
    ];
?>