<?php require_once("questions.php");
    $filename = "results.txt";
    $file = fopen($filename, "a+");
    if (!$results = json_decode(stream_get_contents($file)))
    {
        $results = [];
        foreach ($questions as $i => $question)
        {
            $results[$i] = [];
            foreach ($question->answers as $key => $answer) $results[$i][$key] = 0;
        }
    }
    fclose($file);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <ol>
        <?php 
            foreach ($results as $i => &$result)
            {
                $question = $questions[$i];
                $selected = array_key_exists($i, $_POST) ? $_POST[$i] : -1;
                print("<li><b>$question->text</b><ul>");
                foreach ($result as $key => &$count)
                {
                    print("<li>");
                    if ($selected == $key)
                    {
                        $count += 1;
                        print("<b>Twoja odpowiedź to: </b>");
                    }
                    print($question->answers[$key] . ". Liczba odpowiedzi: $count");
                }
                print("</li></ul>");
            }
        ?>
    </ol>
</body>
</html>

<?php file_put_contents($filename, json_encode($results)); ?>