<?php require_once("questions.php");

$first_name = array_key_exists("first_name", $_POST) ? $_POST["first_name"] : null;
$last_name = array_key_exists("last_name", $_POST) ? $_POST["last_name"] : null;
$birth = array_key_exists("birth", $_POST) ? $_POST["birth"] : null;
$is_valid = array_key_exists("submitted", $_POST) && $first_name && $last_name && $birth;

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dokument</title>
</head>
<body>
    <form method="POST">
       <label for="birth">Podaj imie</label>
        <input name="first_name" value="<?= $first_name ?>" placeholder="imie" required /></br>
        <label for="birth">Podaj nazwisko</label>
        <input name="last_name" value="<?= $last_name ?>" placeholder="nazwisko" required />
        <br /><label for="birth">Podaj date twojego urodzenia</label>
        <input type="date" name="birth" value="<?= $birth ?>" required />
        <input name="submitted" value="1" hidden />
        <br /><input type="submit" value="ok" />
    </form>

    <a href="wynik.php">Oto wyniki:</a>

<?php if (!$is_valid) return; ?>

<h1>Witam <?= $first_name ?></h1>

<?php if (strtolower(mb_substr($first_name, -1)) == 'a'):
    $table = array_key_exists("table", $_POST) ? json_decode(str_replace("&#34;", "\"", $_POST["table"])) : [];
    if (array_key_exists("number", $_POST))
    {
        $table[] = $_POST["number"];
        $POST["number"] = null;
    }

    $count = count($table);
?>
    <form method="POST">
        <input name="number" type="number" />
        <input type="submit" value="dodaj">
        <input name="table" value="<?= str_replace("\"", "&#34;", json_encode($table)); ?>" hidden />
        <input name="first_name" value="<?= $first_name ?>" hidden />
        <input name="last_name" value="<?= $last_name ?>" hidden />
        <input name="birth" value="<?= $birth ?>" hidden />
        <input name="submitted" value="1" hidden />
    </form>

    <?= join(", ", $table) ?>
    <p>Najmniejszy element w tablicy: <?= $count ? min($table) : 0 ?></p>
    <p>Najwiekszy element w tablicy: <?= $count ? max($table): 0 ?></p>
    <p>Średnia wartość elementów tablicy: <?= $count > 0 ? array_sum($table) / $count : 0 ?></p>
    <p>Ilość wystąpień cyfry 3 w tablicy: <?= count(array_keys($table, 3)) ?> </p>
    <p>Elementy tablicy w porządku rosnącym: <?= join(", ", call_user_func(function($a) { sort($a); return $a; }, $table)) ?></p>
<?php else: ?>
    <form method="POST" action="wynik.php">
        <?php 
            foreach ($questions as $i => $question)
            {
                print("<p>$question->text</p>");
                if ($question->type == InputType::Option) 
                {
                    print("<select name=\"$i\">");
                    print("<option selected hidden>Wybierz</option>");
                    foreach ($question->answers as $key => $answer)
                        print("<option value=\"$key\"> $answer");
                    print("</select>");
                }
                else if ($question->type == InputType::Radio)
                    foreach ($question->answers as $key => $answer)
                        print("<input type=\"radio\" name=\"$i\" value=\"$key\"> $answer");
                else if ($question->type == InputType::Checkbox)
                    foreach ($question->answers as $key => $answer)
                        print("<input type=\"checkbox\" name=\"$i\" value=\"$key\" /> $answer");
            }
        ?>
        <input name="submitted" value="1" hidden />
        <br /><input type="submit" value="ok" />
    </form>
<?php endif; ?>
</body>
</html>